dpt-new-upstream(1)

NAME
dpt-new-upstream - list packages with newer upstream versions

SYNOPSIS
dpt new-upstream [--help|-h] [--man|-m] [--limit|-l PACKAGES_LIST_FILE]

DESCRIPTION
dpt new-upstream queries UDD's DMD for newer upstream versions, compares the results to the local git clones, categorizes the found packages, and outputs tables by category. If this reminds you of PET -- you're not wrong to assume that there was some inspiration taken from there.

/*

UDD: Ultimate Debian Database
DMD: Debian Maintainer Dashboard
PET: Package Entropy Tracker

*/

OPTIONS

--help|-h
    Show this help.

--man|-m
    Show full manpage.

--limit|-l PACKAGES_LIST_FILE
    Output the intersection of the full result set and of the set of packages found in "PACKAGES_LIST_FILE".

    "PACKAGES_LIST_FILE" must be in YAML format used by Tails build manifests, for example:

    <https://nightly.tails.boum.org/build_Tails_ISO_stable/lastSuccessful/archive/latest.build-manifest>

    Known issue: the current implementation assumes that every binary package on this list is built from an identically named source package.

CONFIGURATION
dpt new-upstream uses the "DPT_PACKAGES" environment variable.

See dpt-config(5) for details.

COPYRIGHT AND LICENSE
Copyright 2018-2020, gregor herrmann <gregoa@debian.org>

Copyright 2019, intrigeri <intrigeri@boum.org>

Released under the same terms as Perl itself, i.e. Artistic or GPL-1+.